Enable RemexHTML on mediawiki.org and testwiki
Closed, ResolvedPublic

Description

There are no notable linter errors on mediawiki.org. Enabling RemexHTML on mediawiki.org will give us good experience and early feedback about it.

ssastry created this task.Sep 5 2017, 11:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2017, 11:06 PM

Based on looking at visual diff test results, I saw 2 pages with large visual diffs (Page1, Page 2), and it turns out, they were a result of unclosed <code> tags which I fixed (page 1, page 2).

These unclosed tag errors would have showed up in linter categories, but since they are not in the high priority category, editors are unlikely to touch them. In any case, I expect we will see some broken rendering on pages where some instances of unclosed tags will mess up rendering. That is not necessarily a bad thing since those pages will need fixing and obvious broken rendering will catch editors' attention.

But, of the 491 pages from mediawiki that were in the test set, those two pages stood out.

Perhaps Officewiki ( https://office.wikimedia.org/wiki/Special:LintErrors ), Wikitech ( https://wikitech.wikimedia.org/wiki/Special:LintErrors ) , and FoundationWiki (https://wikimediafoundation.org/wiki/Special:LintErrors) are ready too -- as the next step.

There are also https://www.mediawiki.org/wiki/Parsing/Replacing_Tidy/Linter/Stats/2017-09-04#Wikis_with_zero_high-priority_errors which can be next after we figure out a process of consulting / notifying these wikis.

Elitre added a subscriber: Elitre.Sep 7 2017, 4:10 PM

Change 377943 had a related patch set uploaded (by Subramanya Sastry; owner: Tim Starling):
[operations/mediawiki-config@master] Use RemexHtml instead of Tidy on mediawikiwiki, testwiki

https://gerrit.wikimedia.org/r/377943

Change 377943 merged by jenkins-bot:
[operations/mediawiki-config@master] Use RemexHtml instead of Tidy on mediawikiwiki, testwiki

https://gerrit.wikimedia.org/r/377943

Mentioned in SAL (#wikimedia-operations) [2017-09-14T23:22:02Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Use RemexHtml on mediawikiwiki and testwiki (T175095) (duration: 00m 46s)

ssastry closed this task as Resolved.Sep 14 2017, 11:32 PM
ssastry assigned this task to Jdforrester-WMF.

Of the 491 pages from mediawiki that went through visual diff testing, Here is the list of 160 pages that had non-perfect visual diffs. Only 16 of those have a score about 1000 which means, they were not pure vertical shift whitespace differences. I looked at many of those pages, and it is hard to actually tell the rendering difference. So, that is actually a good sign that once high priority errors are fixed, visual diff numbers are more conservative than what the actual result will be when Tidy is replaced.